GET api/cabreaderapi/cabreader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CabReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| cab_reader_type_id | globally unique identifier |
Required |
|
| port_com | integer |
None. |
|
| baudrate | integer |
None. |
|
| handshake | integer |
Required |
|
| read_time_out | integer |
None. |
|
| write_time_out | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| site_id | globally unique identifier |
Required |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "1327cb74-ca96-48aa-8886-5a5b33482ec4",
"name": "sample string 2",
"cab_reader_type_id": "1a31c03f-1319-4c11-9f97-02e25d8179fd",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "ea0a24bc-8d4b-4a1d-ae43-48e288fe1d16",
"active": true,
"site_id": "2e7199d1-6b37-480f-b46a-110093abb70d",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
}
application/xml, text/xml
Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <baudrate>1</baudrate> <cab_reader_type_id>1a31c03f-1319-4c11-9f97-02e25d8179fd</cab_reader_type_id> <data_bits>8</data_bits> <handshake>4</handshake> <id>1327cb74-ca96-48aa-8886-5a5b33482ec4</id> <name>sample string 2</name> <parity>7</parity> <pc_id>ea0a24bc-8d4b-4a1d-ae43-48e288fe1d16</pc_id> <port_com>1</port_com> <read_time_out>1</read_time_out> <site_id>2e7199d1-6b37-480f-b46a-110093abb70d</site_id> <stop_bits>9</stop_bits> <write_time_out>1</write_time_out> </cab_reader>